### Method

# Gsk PathBuildercubic_to

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_cubic_to (
      GskPathBuilder* self,
      float x1,
      float y1,
      float x2,
      float y2,
      float x3,
      float y3
    )

#### Description [src]

Adds a cubic Bézier curve from the current point to `x3`, `y3` with `x1`, `y1` and `x2`, `y2` as the control points.

After this, `x3`, `y3` will be the new current point.

Available since: 4.14

#### Parameters

`x1`

  Type: `float`

  X coordinate of first control point.

`y1`

  Type: `float`

  Y coordinate of first control point.

`x2`

  Type: `float`

  X coordinate of second control point.

`y2`

  Type: `float`

  Y coordinate of second control point.

`x3`

  Type: `float`

  X coordinate of the end of the curve.

`y3`

  Type: `float`

  Y coordinate of the end of the curve.